﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace SynfusionTest.Pages
{
    public class Vendor
    {
        private Dictionary<string, string> properties = new Dictionary<string, string>();

        public string Name { get; set; }
        public Dictionary<string, string> Properties { get { return this.properties; } set { this.properties = value; } }

        public static List<Vendor> GetAllRecords()
        {
            List<Vendor> ret = new List<Vendor>();

            Vendor v = new Vendor() { Name = "Google" };
            v.Properties.Add("Ticker", "GOOGL");
            v.Properties.Add("Status", "Active");
            ret.Add(v);

            v = new Vendor() { Name = "Amazon" };
            v.Properties.Add("Ticker", "AMZN");
            v.Properties.Add("Status", "Inactive");
            ret.Add(v);

            v = new Vendor() { Name = "Microsoft" };
            v.Properties.Add("Ticker", "MSFT");
            v.Properties.Add("Status", "Active");
            ret.Add(v);

            return ret;
        }

    }
}
